Checks whether the doubly linked list is empty

- « SplDoublyLinkedList::getIteratorMode

- SplDoublyLinkedList::key »

- PHP Manual
- SplDoublyLinkedList
- Checks whether the doubly linked list is empty

# SplDoublyLinkedList::isEmpty

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplDoublyLinkedList::isEmpty — Checks whether the doubly linked list is empty

### Description

public SplDoublyLinkedList::isEmpty(): bool

### Parameters

This function has no parameters.

### Return Values

Returns whether the doubly linked list is empty.